Core API
/plume-assets
Get all Plume assets
curl -X GET "https://example.com/plume-assets"{ "data": [ { "complianceVersion": "v1", "complianceVersionByChain": { "property1": "v1", "property2": "v1" }, "complianceDeployments": [ { "version": "v1", "chainId": 1, "enabled": true, "proxyAddress": "string", "hookAddress": "string", "apiChain": "string", "startBlock": 0 } ], "vaultType": "boring", "category": "nestVault", "vaultAddress": "string", "nestShareOftAddress": "string", "nestVaults": [ { "nestVaultAddress": "string", "asset": "string", "chainAssets": [ { "chainId": 1, "assetAddress": "string" } ] } ], "nestComposers": [ { "asset": "string", "composerAddress": "string", "assetAddress": "string", "chainId": 1, "complianceVersion": "v1", "cctpDepositEnabled": true, "depositAndSendDestinations": [ { "chainId": 1, "eid": 1 } ], "startBlock": 0 } ], "accountantAddress": "string", "isHubAccountant": false, "nestAccountant": { "address": "string", "isHub": false, "chain": { "mainnet": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" }, "base": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" }, "plume": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" }, "plasma": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" }, "arbitrum": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" }, "bsc": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" }, "worldchain": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" }, "avalanche": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" }, "arc": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" }, "morph": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" }, "robinhood": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" }, "monad": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" } } }, "authorityAddress": "string", "tellerContractAddress": "string", "decimals": 0, "decimalsOverride": [ { "56": 18 } ], "chain": { "mainnet": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" }, "base": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" }, "plume": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" }, "plasma": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" }, "arbitrum": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" }, "bsc": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" }, "worldchain": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" }, "avalanche": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" }, "arc": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" }, "morph": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" }, "robinhood": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" }, "monad": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" } }, "solana": { "mintAddress": "string", "oftStoreAddress": "string", "composerAddress": "string", "decimals": 0, "startBlock": 0 }, "liquidAssets": [ { "contractAddress": "string", "symbol": "string", "iconUrl": "string", "decimals": 0, "price": 0, "chainId": 0, "minimumSourceRules": [ { "sourceChain": 1, "sourceParams": { "excludeWallets": [ "string" ] } } ] } ], "slug": "string", "name": "string", "symbol": "string", "icon": "string", "iconMini": "string", "targetComposition": [ { "slug": "string", "name": "string", "description": "string", "image": "string" } ], "tvl": 0, "tvl30DayChange": 0, "volume24h": 0, "apy": { "rolling7d": 0, "rolling30d": 0, "sec30d": 0 }, "tokenPrice": 0, "tokenPriceUpdatedAtEpoch": 0, "liquidFunds": 0, "liquidFundsRange": 0, "holders": 0, "tokenPriceUpdatedAt": "2019-08-24T14:15:22Z", "pendingRedemptions": 0, "pendingRedemptionsValue": 0, "shortfall": 0 } ]}/assets/{slug}/tvl GET
Get Asset TVL by slug
/providers/etherfi/rwa-yield GET
Proxy Ether.fi's RWA yield JSON without changing its structure. The upstream request always uses nocache=false; successful responses are cached in Redis for five minutes. Client query parameters are not forwarded and cannot bypass the cache.